I’ll Take That Under Advisement

What should you do if your banner ad or banner ad delivery software requires Adobe Flash Player 9.0 and the user only has Adobe Flash Player 7.0 installed?

Not this:

Update for an ad
Click for full size

The best, or worst, part is that I don’t even know what it expects me to upgrade to get the full experience of an intrusive and probably unwanted advertisement.

Brothers and sisters, it’s good that you’re detecting the user’s capabilities, but if you detect incompatibility with your marketing genius, you need to throw up a lowest common denominator JPG or GIF version of the ad or a different ad. Not a grammatically incorrect error message telling the user to do something unspecific for something he or she doesn’t care.

Comments are closed.


wordpress visitors